Release CoCoA 5.4.2

13 Jun 2022 15:15 - John Abbott

Status: In Progress Start date: 13 Jun 2022

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Release Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.20 hour

Description

Everything for the release

CHECK FOR BUGS

    Compile with --debug flag, and check that everything runs OK.

    In src/CoCoA-5/ run make ManExamples, and check that everything is OK.

 

Redmine Roadmap: close or postpone issue

    Redmine Release issues: check percentages, check timings

    Last check to CoCoALib doc, CoCoA-5 doc and RelNotes, TranslationTable.

    Finalize

 

version number for CoCoALib release: configuration/version

    version number for CoCoA-5 release: CoCoA-5/release-files/version

    cvs checkout in snapshot dir

 

cd snapshotdir

    configure --again

    make

    cd src/CoCoA-5

    time make doc

    time make ManExamples (~4min, and search "ERROR:" in ManExamples-out)

    ls-lt CoCoAManual/html

 

RELEASE FOR MAC FOR LINUX

cd src/CoCoA-5/release-files

    ./release-mac.sh (local)

    ./release-linux.sh (on virtual machine 64-bit and on 32-bit)

 

RELEASE COCOALIB

~/shell-scripts/cocoalib-cvs-snapshot

    ---- make release for CoCoALib ----

 

RELEASE FOR WIN

copy cocoalib tgz on windows virtual machine

    compile windows text version on virtual machine, copy CoCoAInterpreter from SharedFolder into 

local dir

    ./release-win.sh
    (ask someone for windows gui version...)

 

WEBSITE

update /Volumes/WWW/webcocoa/download/download5.shtml

    update /Volumes/WWW/webcocoa/download/RelNotes.shtml

    [[http://cocoa.dima.unige.it/download/RelNotes.shtml]]

 

upload manual

    publish manual (arXiv? ResearchGate?)

 

close release on Redmine

 

---> send message to facebook page

---> send email

---> update list with undelivered emails

History

#1 - 13 Jun 2022 15:16 - John Abbott

Here is a list of the main changes (from CoCoA 5.4.0)

added new fn IsEmpty as syntactic sugar

added new fn NewPolyRingWeights

added new fn RandomNBitPrime

added new fn CatalanNumber

added new fns CyclotomicTest and CyclotomicIndex -- they are similar but different

added new fns IsLRSDegenerate, IsLRSDegenerateOrder (all by Nico Mexis)  Also LRSDegeneracyOrder and LRSDegerancyOrders

added new fn IsPalindromic (for univariate polys)

fn cyclotomic is now built-in (and a bit faster)

fn IsCoprime slightly altered

added new fn CoprimeFactor

added new fn IsPrimitivePoly

added new fn AllFactors (for small integers)

revised impl of HadamardBoundSq with different field names in result!

#2 - 13 Jun 2022 15:35 - Redmine Admin

- Tracker changed from Bug to Support

- Status changed from New to In Progress

#3 - 14 Feb 2023 21:29 - John Abbott

VIETNAM

We should decide what to complete before the School in Vietnam.

The (pretty hard) deadline should be 10th March... just over 3 weeks away!
I can spend only some time in the evening, or at weekends.
